import java.util.Arrays;
import java.util.Scanner;

public class Main {

    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        int n = Integer.parseInt(scanner.nextLine());
        String[] listacifara  =  scanner.nextLine().split(" ");
        int[] cifre = new int[n];
        for (int i = 0; i < n; i++) {
            cifre[i] = Integer.parseInt(listacifara[i]);
        }

        int[] rezultat = zamena(cifre);
        for (int i = 0; i < rezultat.length; i++) {
            if(i == 0) {System.out.print(rezultat[i]); continue;}
            System.out.print(" " + rezultat[i]);
        }

    }

    public static int[] zamena(int[] cifre) {
        int maksimum = 0;
        int indeksmaksimuma = 0;
        if(cifre.length == 2)  {
            maksimum = cifre[1];
            cifre[1] = cifre[0];
            cifre[0] = maksimum;
            return cifre;
        }
        for (int i = 0; i < cifre.length; i++) {
            if(maksimum <= cifre[i]) {
                maksimum = cifre[i];
                indeksmaksimuma = i;
            }
        }
        if(indeksmaksimuma ==  0) {
            int[] rekurzija =  zamena(Arrays.copyOfRange(cifre, 1, cifre.length));
            for (int i = 0; i < rekurzija.length; i++) {
                cifre[i + 1]  = rekurzija[i];
            }
            return cifre;
        } else {
          cifre[indeksmaksimuma] = cifre[0];
          cifre[0] = maksimum;
          return cifre;
        }
    }
}